/*
 * Class CHAIN [BOOLEAN]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_2032 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_2032 [] = {0xFF01,1551,2031,866,0xFFFF};
static const EIF_TYPE_INDEX egt_2_2032 [] = {0xFF01,2031,866,0xFFFF};
static const EIF_TYPE_INDEX egt_3_2032 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_2032 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_2032 [] = {0xFF01,2031,866,0xFFFF};
static const EIF_TYPE_INDEX egt_6_2032 [] = {0xFF01,2031,866,0xFFFF};
static const EIF_TYPE_INDEX egt_7_2032 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_2032 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_2032 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_2032 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_2032 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_2032 [] = {2031,866,0xFFFF};
static const EIF_TYPE_INDEX egt_13_2032 [] = {0xFF01,2031,866,0xFFFF};
static const EIF_TYPE_INDEX egt_14_2032 [] = {0xFF01,2018,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_2032 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_2032 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_2032 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_2032 [] = {0xFF01,2013,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_2032 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_2032 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_2032 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_2032 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_2032 [] = {0xFF01,2031,866,0xFFFF};
static const EIF_TYPE_INDEX egt_24_2032 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_2032 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_2032 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_2032 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_28_2032 [] = {0xFF01,601,0xFFFF};


static const struct desc_info desc_2032[] = {
	{EIF_GENERIC(NULL), 12288, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_2032), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_2032), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_2032), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_2032), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_2032), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_2032), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_2032), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_2032), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_2032), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_2032), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_2032), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_2032), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_2032), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_2032), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12291, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9225, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8658, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8659, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8660, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8661, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8662, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_2032), 8915, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_2032), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_2032), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9315, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9316, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9099, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12287, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12292, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8980, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12295, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_2032), 8908, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8909, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12298, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9045, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9319, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12285, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9320, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9321, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_2032), 11021, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_2032), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_2032), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12304, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12297, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8911, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8912, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8913, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8914, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8906, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9317, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12308, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_2032), 12289, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_2032), 12290, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12299, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12300, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12302, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12303, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12305, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12306, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12286, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_2032), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8905, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8904, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8907, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8907, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_2032), 12293, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_2032), 12294, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12301, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12307, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12307, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_2032), 12293, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_2032), 12296, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12301, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12295, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_2032), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init2032(void)
{
	IDSC(desc_2032, 0, 2031);
	IDSC(desc_2032 + 1, 1, 2031);
	IDSC(desc_2032 + 32, 1134, 2031);
	IDSC(desc_2032 + 41, 1060, 2031);
	IDSC(desc_2032 + 47, 1444, 2031);
	IDSC(desc_2032 + 56, 1135, 2031);
	IDSC(desc_2032 + 65, 1088, 2031);
	IDSC(desc_2032 + 67, 1534, 2031);
	IDSC(desc_2032 + 74, 1245, 2031);
	IDSC(desc_2032 + 77, 387, 2031);
	IDSC(desc_2032 + 79, 636, 2031);
	IDSC(desc_2032 + 93, 916, 2031);
	IDSC(desc_2032 + 99, 1570, 2031);
	IDSC(desc_2032 + 102, 778, 2031);
	IDSC(desc_2032 + 103, 254, 2031);
	IDSC(desc_2032 + 106, 554, 2031);
	IDSC(desc_2032 + 107, 878, 2031);
	IDSC(desc_2032 + 108, 794, 2031);
}


#ifdef __cplusplus
}
#endif
